Здравствуйте.
Для Google Pay у вас должна быть установлена глобальная стабильная прошивка. Либо вы можете установить Magisk с фиксами для работы GPay, либо вообще одну из существующих локализованных прошивок, в которые Magisk вшит по умолчанию.